Skip to main content
GET
Retrieve webhook delivery history

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookEndpointId
string
required

Public ID of the webhook endpoint (prefixed with we_)

Query Parameters

limit
integer

default to 10, maximum to 100

Required range: 1 <= x <= 100
startingAfter
string

Return records after this cursor.

endingBefore
string

Return records before this cursor.

status
enum<string>

Filter delivery history by status.

Available options:
PENDING,
ENQUEUED,
PROCESSING,
DELIVERED,
RETRY,
FAILED

Response

A cursor-paginated list of delivery attempts for the endpoint.

Cursor-paginated webhook delivery history for an endpoint.

data
object[]
pagination
object